   SUBROUTINE TEST_CALLEE( &
      d_value1, &
      d_value2, &
      d_value3, &
      d_value4, &
      d_value5, &
      d_value6, &
      d_value7, &
      d_value8, &
      d_value9, &
      d_value10, &
      i_value1, &
      i_value2, &
      i_value3, &
      i_value4, &
      i_value5, &
      i_value6, &
      i_value7, &
      i_value8, &
      i_value9, & 
!      i_value10, &
      c_string)
!  
   IMPLICIT NONE
!  
   DOUBLE PRECISION ::  &
      d_value1, &
      d_value2, &
      d_value3, &
      d_value4, &
      d_value5, &
      d_value6, &
      d_value7, &
      d_value8, &
      d_value9, &
      d_value10
   INTEGER ::  &
      i_value1, &
      i_value2, &
      i_value3, &
      i_value4, &
      i_value5, &
      i_value6, &
      i_value7, &
      i_value8, &
      i_value9, &
      i_value10
   CHARACTER(LEN=*), DIMENSION(2,*) :: c_string
!  
   WRITE(*, '(E16.7)') d_value8
   WRITE(*, '(A)') TRIM(c_string(2,4))
!  
   END SUBROUTINE TEST_CALLEE
!
!***************************************************************************************************

